arrayTrend {MANOR} | R Documentation

## Spatial trend of microarray spots statistic

### Description

The function `arrayTrend` computes the spatial trend.

### Usage

    ## Default S3 method:
    arrayTrend(Statistic, Col, Row, ...)
    ## S3 method for class 'arrayCGH':
    arrayTrend(arrayCGH, variable, ...)

### Arguments

`Statistic` | Statistic to be smoothed.
`Col` | Vector of columns coordinates.
`Row` | Vector of rows coordinates.
`arrayCGH` | Object of class `arrayCGH`.
`variable` | Variable to be smooth.
`...` | Parameters to be passed to `loess` function.

### Details

Spatial trend of microarray spots statistic.

### Value

Either a data frame with elements :

`Trend` | Trend fitted by `loess` function.
`Col` | Vector of columns coordinates.
`Row` | Vector of rows coordinates.

or the element `Trend` is added to the data.frame `arrayValues` of the `arrayCGH` object.

### Note

People interested in tools for array-CGH analysis can visit our web-page: http://bioinfo.curie.fr.

### Author(s)

Philippe Hupé, Philippe.Hupe@curie.fr.

### References

P. Neuvial, P. Hupé, I. Brito, S. Liva, E. Manié, C. Brennetot, A. Aurias, F. Radvanyi, and E. Barillot. Spatial normalization of array-CGH data. BMC Bioinformatics, 7(1):264. May 2006.

### See Also

`loess`, `loess.control`.

### Examples

    data(spatial)  ## arrays with local spatial effects

    edgeTrend <- arrayTrend(edge, "LogRatio", span=0.03, degree=1,
    iterations=3, family="symmetric")
    arrayPlot(edgeTrend, "Trend", main="Spatial trend of array CGH", bar="v")

[Package MANOR version 1.16.0 Index]